config APPLE_SILICON
	bool
	default n

config EXYNOS
	bool
	default n

config MEDIATEK
	bool
	default n

menu "SoC Support"
	menu "Apple SoCs"
		config APPLE_T7000
			bool "Support for Apple T7000"
			default n
			select APPLE_SILICON
			help
		  		Say Y if your device uses Apple T7000 SoC
	endmenu

	menu "Samsung SoCs"
	config EXYNOS_7885
		bool "Support for Exynos 7885"
		default n
		select EXYNOS
		help
		  Say Y if your device uses Samsung Exynos7885 SoC

	config EXYNOS_8895
		bool "Support for Exynos 8895"
		default n
		select EXYNOS
		help
		  Say Y if your device uses Samsung Exynos8895 SoC

	config EXYNOS_9810
		bool "Support for Exynos 9810"
		default n
		select EXYNOS
		help
		  Say Y if your device uses Samsung Exynos9810 SoC

	config EXYNOS_990
		bool "Support for Exynos 990"
		default n
		select EXYNOS
		help
		  Say Y if your device uses Samsung Exynos990 SoC
	endmenu

	menu "MediaTek SoCs"
		config MEDIATEK_COMMON
			bool "Support for most MediaTek 64-bit ARM CPUs"
			default n
			select MEDIATEK
			help
			  Say Y if your device uses Samsung Exynos990 SoC
	endmenu
endmenu

